Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### hue()

Examples

    noStroke();
    colorMode(HSB, 255);
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = hue(c);  // Sets "value" to "0"
    fill(value);
    rect(50, 20, 35, 60);

Description | Extracts the hue value from a color.

Syntax

    hue(color)

Parameters

color | any value of the color datatype

Usage | Web & Application
Related | red() green() blue() saturation() brightness()

Updated on February 09, 2008 04:38:52pm PST